#!/bin/sh
#
# Beaver's an Early AdVanced EditoR
# (C) 1999-2000 Marc Bevand, Damien Terrier and Emmanuel Turquin, 2008 Tobias Heinzen, Double 12
#
# autogen.sh
#
# Author<s>:   Higor Eurípedes <heuripedes@gmail.com
# Description: Generates the configure script
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Run this to generate all the initial makefiles, etc.
#

if test "$1" = "clean"; then
	echo "Cleaning..."
	if test -f Makefile; then
		make maintainer-clean
		exit 0
	fi
	rm -rf `find . -iname '*~'` `find . -iname '.deps'` `find . -iname '.libs'`
	exit 0
fi

echo "Creating scripts..."

echo "  aclocal..."
rm -f aclocal.m4
aclocal

echo "  autoheader..."
autoheader

echo "  automake..."
automake --add-missing --copy

echo "  autoconf..."
autoconf

rm -rf autom4te.cache config.h.in~

echo "Done."
echo "Run ./configure to set details about the build,"


